The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Export the Diagnostic Trace File Captured

Prev Next

This URL exports the diagnostic trace file.

Resource URL

PUT /sensor/<sensor_id>/diagnosticstrace/export

Accept Value

application/octet-stream

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensorId Sensor id Number Yes

Payload Request Parameters:

Field Name Description Data Type Mandatory
fileName Diagnostic trace file name String Yes

Response Parameters

Diagnostic trace file data is returned if the request parameters are correct, otherwise error details are returned.

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1001/diagnosticstrace/export

Payload

{
	"fileName": "trace_API_2950_2_Thu_Mar_03_13_58_39_IST_2016.enc"
} 

Response

<trace file data> 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 500 1124 The Sensor is inactive